Infront Data Manager Connect Client (.NET)

Public Member Functions | Events | List of all members
Gevasys.DataCore.Client.Consumer.Tcp.TcpConsumer Class Reference

More...

Inherits Gevasys.DataCore.Core.StreamingConsumer, Gevasys.DataCore.Client.Consumer.Tcp.ITcpConsumer, and Gevasys.DataCore.Core.IStreamingConsumer.

## Public Member Functions
| TcpConsumer (TcpConsumerManager manager, String wsdlUrl, String requestedName, bool isBackup, Proxy_Nillable proxy)
new TcpConsumerInitializeResult | Initialize ()
| Initializes the instance. More...
override void | AddInstrument (String instrument)
| StreamingConsumer.AddInstrument More...
override void | AddInstruments (InstrumentList instruments)
| StreamingConsumer.AddInstruments More...
override void | RequestRecaps (InstrumentList instruments)
| StreamingConsumer.RequestRecaps More...
override void | AddExchange (string exchange)
| StreamingConsumer.AddExchange More...
new void | AddFilterElement (FilterElement filterElement)
| Adds a FilterElement More...
void | AddFilterElement (FilterElement filterElement, params FilterElement[] filterElements)
override void | AddFilterElements (FilterElement filterElement, params FilterElement[] filterElements)
override void | RemoveFilterElements (FilterElement filterElement, params FilterElement[] filterElements)
override void | RemoveExchange (String Exchange)
| StreamingConsumer.RemoveExchange More...
override void | RemoveInstrument (String instrument)
| StreamingConsumer.RemoveInstrument More...
override void | RemoveInstruments (InstrumentList instruments)
| StreamingConsumer.RemoveInstruments More...
override void | RemoveAll ()
| StreamingConsumer.RemoveAll More...
override bool | Start ()
| StreamingConsumer.Start More...
override String | GetClientThreadName ()
| StreamingConsumer.GetClientThreadName More...
String | GetWsdlUrl ()
| Gets the Wsdl URL. More...
void | SignalConnectionThreadAbort (ReaderError error)
| ITcpConsumer.SignalConnectionThreadAbort More...
override void | AsyncServiceCallCallback (AsyncServiceCallResult result)
| StreamingConsumer.AsyncServiceCallCallback More...
override bool | GetIsAlive ()
| StreamingConsumer.GetIsAlive More...
override bool | GetIsBackup ()
| StreamingConsumer.GetIsBackup More...
override void | Stop ()
| StreamingConsumer.Stop More...
override void | SetAsBackup (bool isBackup)
| StreamingConsumer.SetAsBackup More...
override void | SetFieldFilter (List< string > fieldList)
| StreamingConsumer.SetFieldFilter More...
override void | RemoveFieldFilter ()
| StreamingConsumer.RemoveFieldFilter More...
override void | Run ()
| StreamingConsumer.Run More...
override InstrumentList | GetInstruments ()
| StreamingConsumer.GetInstruments More...
override String | GetName ()
| StreamingConsumer.GetName More...
override ConsumerType | GetConsumerType ()
| StreamingConsumer.GetConsumerType More...
Public Member Functions inherited from Gevasys.DataCore.Core.StreamingConsumer
virtual void | AddExchange (String Exchange)
| Adds and subscribes a exchange. Not available in version 1.1. More...
void | SubscribeNewsBroadcast ()
void | UnsubscribeNewsBroadcast ()
void | AddFilterElement (FilterElement filterElement)
| Adds a FilterElement More...
void | RemoveFilterElement (FilterElement filterElement)
| Removes the FilterElement More...

## Events
EventHandler< ConsumerStateChangedEventArgs > | OnConsumerStateChanged

## Detailed Description

Represents a class that manages TCP connections to a vwd data core server.

## Constructor & Destructor Documentation

## ◆ TcpConsumer()

Gevasys.DataCore.Client.Consumer.Tcp.TcpConsumer.TcpConsumer | ( | TcpConsumerManager | manager,
|  | String | wsdlUrl,
|  | String | requestedName,
|  | bool | isBackup,
|  | Proxy_Nillable | proxy
| ) |  |
| inline

Represents a class that manages TCP connections to a vwd data core server.

Parameters

  manager | The TcpConsumerManager that owns this Consumer.
  wsdlUrl | The Url of the WSDL.
  requestedName | The name for the Consumer.
  isBackup | True if this consumer acts as a backup consumer.

## Member Function Documentation

## ◆ AddExchange()

override void Gevasys.DataCore.Client.Consumer.Tcp.TcpConsumer.AddExchange | ( | string | exchange | ) |
| inline

StreamingConsumer.AddExchange

Parameters

  Exchange |

## ◆ AddFilterElement()

new void Gevasys.DataCore.Client.Consumer.Tcp.TcpConsumer.AddFilterElement | ( | FilterElement | filterElement | ) |
| inline

Adds a FilterElement

Parameters

  filterElement |

Implements Gevasys.DataCore.Core.IConsumer.

## ◆ AddInstrument()

override void Gevasys.DataCore.Client.Consumer.Tcp.TcpConsumer.AddInstrument | ( | String | instrument | ) |
| inline virtual

StreamingConsumer.AddInstrument

Parameters

  instrument |

Reimplemented from Gevasys.DataCore.Core.StreamingConsumer.

## ◆ AddInstruments()

override void Gevasys.DataCore.Client.Consumer.Tcp.TcpConsumer.AddInstruments | ( | InstrumentList | instruments | ) |
| inline virtual

StreamingConsumer.AddInstruments

Parameters

  instruments |

Reimplemented from Gevasys.DataCore.Core.StreamingConsumer.

## ◆ AsyncServiceCallCallback()

override void Gevasys.DataCore.Client.Consumer.Tcp.TcpConsumer.AsyncServiceCallCallback | ( | AsyncServiceCallResult | result | ) |
| inline

StreamingConsumer.AsyncServiceCallCallback

Parameters

  result |

Implements Gevasys.DataCore.Core.IStreamingConsumer.

## ◆ GetClientThreadName()

override String Gevasys.DataCore.Client.Consumer.Tcp.TcpConsumer.GetClientThreadName | ( |  | ) |
| inline virtual

StreamingConsumer.GetClientThreadName

Returns

Reimplemented from Gevasys.DataCore.Core.StreamingConsumer.

## ◆ GetConsumerType()

override ConsumerType Gevasys.DataCore.Client.Consumer.Tcp.TcpConsumer.GetConsumerType | ( |  | ) |
| inline virtual

StreamingConsumer.GetConsumerType

Returns

Reimplemented from Gevasys.DataCore.Core.StreamingConsumer.

## ◆ GetInstruments()

override InstrumentList Gevasys.DataCore.Client.Consumer.Tcp.TcpConsumer.GetInstruments | ( |  | ) |
| inline virtual

StreamingConsumer.GetInstruments

Returns

Reimplemented from Gevasys.DataCore.Core.StreamingConsumer.

## ◆ GetIsAlive()

override bool Gevasys.DataCore.Client.Consumer.Tcp.TcpConsumer.GetIsAlive | ( |  | ) |
| inline

StreamingConsumer.GetIsAlive

Returns

Implements Gevasys.DataCore.Core.IStreamingConsumer.

## ◆ GetIsBackup()

override bool Gevasys.DataCore.Client.Consumer.Tcp.TcpConsumer.GetIsBackup | ( |  | ) |
| inline

StreamingConsumer.GetIsBackup

Returns

Implements Gevasys.DataCore.Core.IStreamingConsumer.

## ◆ GetName()

override String Gevasys.DataCore.Client.Consumer.Tcp.TcpConsumer.GetName | ( |  | ) |
| inline virtual

StreamingConsumer.GetName

Returns

Reimplemented from Gevasys.DataCore.Core.StreamingConsumer.

## ◆ GetWsdlUrl()

String Gevasys.DataCore.Client.Consumer.Tcp.TcpConsumer.GetWsdlUrl | ( |  | ) |
| inline

Gets the Wsdl URL.

Returns

## ◆ Initialize()

new TcpConsumerInitializeResult Gevasys.DataCore.Client.Consumer.Tcp.TcpConsumer.Initialize | ( |  | ) |
| inline virtual

Initializes the instance.

Returns

Reimplemented from Gevasys.DataCore.Core.StreamingConsumer.

## ◆ RemoveAll()

override void Gevasys.DataCore.Client.Consumer.Tcp.TcpConsumer.RemoveAll | ( |  | ) |
| inline virtual

StreamingConsumer.RemoveAll

Reimplemented from Gevasys.DataCore.Core.StreamingConsumer.

## ◆ RemoveExchange()

override void Gevasys.DataCore.Client.Consumer.Tcp.TcpConsumer.RemoveExchange | ( | String | Exchange | ) |
| inline virtual

StreamingConsumer.RemoveExchange

Parameters

  Exchange |

Reimplemented from Gevasys.DataCore.Core.StreamingConsumer.

## ◆ RemoveFieldFilter()

override void Gevasys.DataCore.Client.Consumer.Tcp.TcpConsumer.RemoveFieldFilter | ( |  | ) |
| inline virtual

StreamingConsumer.RemoveFieldFilter

Reimplemented from Gevasys.DataCore.Core.StreamingConsumer.

## ◆ RemoveInstrument()

override void Gevasys.DataCore.Client.Consumer.Tcp.TcpConsumer.RemoveInstrument | ( | String | instrument | ) |
| inline virtual

StreamingConsumer.RemoveInstrument

Parameters

  instrument |

Reimplemented from Gevasys.DataCore.Core.StreamingConsumer.

## ◆ RemoveInstruments()

override void Gevasys.DataCore.Client.Consumer.Tcp.TcpConsumer.RemoveInstruments | ( | InstrumentList | instruments | ) |
| inline virtual

StreamingConsumer.RemoveInstruments

Parameters

  instruments |

Reimplemented from Gevasys.DataCore.Core.StreamingConsumer.

## ◆ RequestRecaps()

override void Gevasys.DataCore.Client.Consumer.Tcp.TcpConsumer.RequestRecaps | ( | InstrumentList | instruments | ) |
| inline virtual

StreamingConsumer.RequestRecaps

Parameters

  instruments |

Reimplemented from Gevasys.DataCore.Core.StreamingConsumer.

## ◆ Run()

override void Gevasys.DataCore.Client.Consumer.Tcp.TcpConsumer.Run | ( |  | ) |
| inline virtual

StreamingConsumer.Run

Reimplemented from Gevasys.DataCore.Core.StreamingConsumer.

## ◆ SetAsBackup()

override void Gevasys.DataCore.Client.Consumer.Tcp.TcpConsumer.SetAsBackup | ( | bool | isBackup | ) |
| inline

StreamingConsumer.SetAsBackup

Parameters

  isBackup |

Implements Gevasys.DataCore.Core.IStreamingConsumer.

## ◆ SetFieldFilter()

override void Gevasys.DataCore.Client.Consumer.Tcp.TcpConsumer.SetFieldFilter | ( | List< string > | fieldList | ) |
| inline virtual

StreamingConsumer.SetFieldFilter

Reimplemented from Gevasys.DataCore.Core.StreamingConsumer.

## ◆ SignalConnectionThreadAbort()

void Gevasys.DataCore.Client.Consumer.Tcp.TcpConsumer.SignalConnectionThreadAbort | ( | ReaderError | error | ) |
| inline

ITcpConsumer.SignalConnectionThreadAbort

Parameters

  error |

Implements Gevasys.DataCore.Client.Consumer.Tcp.ITcpConsumer.

## ◆ Start()

override bool Gevasys.DataCore.Client.Consumer.Tcp.TcpConsumer.Start | ( |  | ) |
| inline

StreamingConsumer.Start

Returns

Implements Gevasys.DataCore.Core.IStreamingConsumer.

## ◆ Stop()

override void Gevasys.DataCore.Client.Consumer.Tcp.TcpConsumer.Stop | ( |  | ) |
| inline

StreamingConsumer.Stop

Implements Gevasys.DataCore.Core.IStreamingConsumer.

The documentation for this class was generated from the following file:

- TcpConsumer.cs

Copyright (C) 2021 Infront Financial Technology GmbH
Mainzer Landstrasse 178 – 190
60327 Frankfurt am Main
Infront Data Manager Connect V4.1